<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateQuizAnswersTable extends TableMigration
{
    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), function (Blueprint $table): void {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('quiz_question_id');
            $table->string('title');
            $table->string('value');
            $table->string('image');
            $table->boolean('is_correct');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists($this->getTableNameWithPrefix());
    }

    public function tableName(): string
    {
        return 'quiz_answers';
    }
}
