<?php

namespace Drp\NativeEventApp\Test\Support\Builders;

use Drp\NativeEventApp\Models\MenuItem;

class MenuBuilder
{
    /**
     * @var array
     */
    protected $items = [];

    public static function build(): self
    {
        return new self;
    }

    public function item(array $item): self
    {
        $this->items[] = factory(MenuItem::class)->make($item);

        return $this;
    }

    public function make(): self
    {
        return $this;
    }
}
