<?php

namespace Drp\NativeEventApp\Notifications\Events;

use Drp\NativeEventApp\Models\Device;
use Drp\NativeEventApp\Models\Notification;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class SendPushNotification
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * @var Notification
     */
    public $notification;

    /**
     * @var Device
     */
    public $device;

    public function __construct(Notification $notification, Device $device)
    {
        $this->notification = $notification;
        $this->device = $device;
    }
}
